Description: fix build rules
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 launchotron (0.1-1) unstable; urgency=medium
 .
   * Initial release
Author: Per Weijnitz <per.weijnitz@arbetsformedlingen.se>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2021-04-28

--- launchotron-0.1.orig/.bumpversion.cfg
+++ launchotron-0.1/.bumpversion.cfg
@@ -1,2 +1,2 @@
 [bumpversion]
-current_version = 0.1.0
+current_version = 0.1
--- launchotron-0.1.orig/DEVELOPERS.org
+++ launchotron-0.1/DEVELOPERS.org
@@ -39,10 +39,12 @@ Proceed to Gitlab to manage the release
 ** The initial package was setup like this:
 : sudo apt-get install dh-make devscripts
 : cd launchotron-0.1
+: make gendocs
 : dh_make --indep --createorig --copyright gpl3
 
 The files in ~debian~ were then checked.
 
+** Make an updated package
 Update documentation
 : make gendocs
 
--- launchotron-0.1.orig/Makefile
+++ launchotron-0.1/Makefile
@@ -6,12 +6,12 @@ SHELL = /bin/bash
 IMG        = docker-images.jobtechdev.se/joblinks/launchotron
 NAME       = launchotron
 VER        = $(shell grep current_version .bumpversion.cfg | sed 's|^.* = ||')
-PKG        = $(NAME)_$(VER)
+PKGSUBVER  = 1
 PKGDIR     = pkgs
 MAINTNAME  = Per Weijnitz
 MAINTEMAIL = per.weijnitz@arbetsformedlingen.se
 
-ARTEFACT        = launchotron_$(VER).deb
+ARTEFACT        = $(NAME)_$(VER)-$(PKGSUBVER)_all.deb
 
 
 # use docker or podman
@@ -39,34 +39,11 @@ build-pkg: $(PKGDIR)/$(ARTEFACT)
 
 
 $(PKGDIR)/$(ARTEFACT):
-	tmpd=$$(mktemp -d)
-	mkdir -p $$tmpd/$(VER)/$(PKG)/usr/bin \
-	         $$tmpd/$(VER)/$(PKG)/usr/share/man/man1 \
-	         $$tmpd/$(VER)/$(PKG)/usr/share/doc/launchotron \
-                 $$tmpd/$(VER)/$(PKG)/DEBIAN
-	cp src/launchotron $$tmpd/$(VER)/$(PKG)/usr/bin/launchotron
-	cp src/launchotron_containerised $$tmpd/$(VER)/$(PKG)/usr/bin
-	cp docs/*.1.gz $$tmpd/$(VER)/$(PKG)/usr/share/man/man1
-	cp README $$tmpd/$(VER)/$(PKG)/usr/share/doc/launchotron/README.txt
-	gzip -f $$tmpd/$(VER)/$(PKG)/usr/share/doc/launchotron/README.txt
-	cat << EOF > $$tmpd/$(VER)/$(PKG)/DEBIAN/control
-	Package: $(NAME)
-	Version: $(VER)
-	Section: base
-	Priority: optional
-	Architecture: amd64
-	Multi-Arch: allowed
-	Depends: perl (>= 5.30.0), libpaws-perl (>= 0.42), libnet-amazon-signature-v4-perl (>= 0.21-1), libfuture-mojo-perl (>= 1.001-1), libmoose-perl (>= 2.2), libmoosex-classattribute-perl (>= 0.29), libjson-maybexs-perl (>= 1.0), liburl-encode-perl (>= 0.03), liblog-log4perl-perl (>= 1.49), libconfig-general-perl (>= 2.60), libhttp-message-perl (>= 6.0), libthrowable-perl (>= 0.200013-1), libconfig-ini-perl (>= 1:0.025-1), libfile-homedir-perl (>= 1.004-1), libdatetime-format-iso8601-perl (>= 0.08-2), liburi-template-perl (>= 0.24-0.1), libxml-simple-perl (>= 2.25-1)
-	Maintainer: $(MAINTNAME) <$(MAINTEMAIL)>
-	Description: launchotron - the ephemereal job runner för AWS EC2
-	EOF
-	echo " This program runs a give command on a temporarily created" >> $$tmpd/$(VER)/$(PKG)/DEBIAN/control
-	echo " AWS EC2 instance, which is terminated when the command is" >> $$tmpd/$(VER)/$(PKG)/DEBIAN/control
-	echo " finished. Files can be uploaded prior to execution." >> $$tmpd/$(VER)/$(PKG)/DEBIAN/control
-	cd $$tmpd/$(VER) && \
-	dpkg-deb --build $(PKG)
-	cd -
-	mv $$tmpd/$(VER)/$(ARTEFACT) $(PKGDIR)/
+	export DEBUILD_SIGNING_USERNAME="$(MAINTNAME)"
+	make gendocs
+	dpkg-source --commit --include-removal
+	debuild --lintian-opts --profile debian # -us -uc
+	mv ../$(ARTEFACT) $(PKGDIR)/
 
 
 push:
